## org.hibernate.envers.entities
Class IdMappingData

    java.lang.Object
      org.hibernate.envers.entities.IdMappingData

    public class IdMappingData

extends Object

Constructor Summary
`IdMappingData(IdMapper idMapper, org.dom4j.Element xmlMapping, org.dom4j.Element xmlRelationMapping)`

Method Summary
`IdMapper` `getIdMapper()`
`org.dom4j.Element` `getXmlMapping()`
`org.dom4j.Element` `getXmlRelationMapping()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdMappingData

    public IdMappingData(IdMapper idMapper,
                         org.dom4j.Element xmlMapping,
                         org.dom4j.Element xmlRelationMapping)

Method Detail

### getIdMapper

    public IdMapper getIdMapper()

### getXmlMapping

    public org.dom4j.Element getXmlMapping()

### getXmlRelationMapping

    public org.dom4j.Element getXmlRelationMapping()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.